%define binsuffix %{?flavour:-%{flavour}}
%define uname  %{kernel_version}%{?flavour}

Summary: QLA2XXX Device Driver for Qlogic ISP 2xxx
#Driver version needs to updated with Name and Version both
Name: qla2xxx
Version: 8.06.00.10.55.6.k
Release: 00
License: GPL
Group: System Environment/Kernel
Source0: %{name}-src-v%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description

%package modules%{binsuffix}-%{kernel_version}
Summary: QLA2XXX Device Driver for Qlogic ISP 2xxx
Group: System Environment/Kernel
Requires: kernel%{binsuffix} = %{kernel_version}
Provides: %{name}-modules%{binsuffix} = %{kernel_version}

%description modules%{binsuffix}-%{kernel_version}
QLA2XXX kernel modules for Qlogic ISP 2xxx compiled against kernel
version %{uname}.

%prep
%setup -q -n %{name}

%build
%{__make} -C /lib/modules/%{uname}/build M=$(pwd) CONFIG_SCSI_QLA_FC=m modules


%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C /lib/modules/%{uname}/build M=$(pwd) \
	INSTALL_MOD_PATH=$RPM_BUILD_ROOT INSTALL_MOD_DIR=extra/%{name} \
	CONFIG_SCSI_QLA_FC=m \
	modules_install

# mark modules executable so that strip-to-file can strip them
find $RPM_BUILD_ROOT/lib/modules/%{uname} -name "*.ko" -type f  | xargs chmod u+x

%clean
rm -rf $RPM_BUILD_ROOT

%post modules%{binsuffix}-%{kernel_version}
depmod %{uname}
/sbin/mkinitrd -f /boot/initrd-`uname -r`.img `uname -r`

%files modules%{binsuffix}-%{kernel_version}
%defattr(-,root,root,-)
/lib/modules/%{uname}/extra/qla2xxx/*.ko
%doc

%postun modules%{binsuffix}-%{kernel_version}
depmod %{uname}
/sbin/mkinitrd -f /boot/initrd-`uname -r`.img `uname -r`

%changelog
* Tue Jan 18 2011 AC
- Added this new file to 5.6 
